Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/netbsd-1-5]: src/share/zoneinfo Pull up rev. 1.3 (approved by jhawk):



details:   https://anonhg.NetBSD.org/src/rev/e360f12747c8
branches:  netbsd-1-5
changeset: 489053:e360f12747c8
user:      kleink <kleink%NetBSD.org@localhost>
date:      Fri Aug 11 12:11:51 2000 +0000

description:
Pull up rev. 1.3 (approved by jhawk):
Update to tzdata2000f.

diffstat:

 share/zoneinfo/yearistype.sh |  54 ++++++++++++++++++++++++++-----------------
 1 files changed, 32 insertions(+), 22 deletions(-)

diffs (65 lines):

diff -r e52ba825e855 -r e360f12747c8 share/zoneinfo/yearistype.sh
--- a/share/zoneinfo/yearistype.sh      Fri Aug 11 12:10:12 2000 +0000
+++ b/share/zoneinfo/yearistype.sh      Fri Aug 11 12:11:51 2000 +0000
@@ -1,29 +1,39 @@
 #! /bin/sh
 #
-#      $NetBSD: yearistype.sh,v 1.2 1998/01/09 08:05:17 perry Exp $
+#      $NetBSD: yearistype.sh,v 1.2.10.1 2000/08/11 12:11:51 kleink Exp $
 #
 
-: '@(#)yearistype.sh   7.4'
+: '@(#)yearistype.sh   7.6'
+
+case $#-$1 in
+       2-|2-0*|2-*[!0-9]*)
+               echo "$0: wild year - $1" >&2
+               exit 1 ;;
+esac
 
 case $#-$2 in
-       2-even)         case $1 in
-                               *[24680])                       exit 0 ;;
-                               *)                              exit 1 ;;
-                       esac ;;
-       2-nonpres)      case $1 in
-                               *[02468][048]|*[13579][26])     exit 1 ;;
-                               *)                              exit 0 ;;
-                       esac ;;
-       2-odd)          case $1 in
-                               *[13579])                       exit 0 ;;
-                               *)                              exit 1 ;;
-                       esac ;;
-       2-uspres)       case $1 in
-                               *[02468][048]|*[13579][26])     exit 0 ;;
-                               *)                              exit 1 ;;
-                       esac ;;
-       2-*)            echo "$0: wild type - $2" >&2
-                       exit 1 ;;
-       *)              echo "$0: usage is $0 year type" >&2
-                       exit 1 ;;
+       2-even) 
+               case $1 in
+                       *[24680])                       exit 0 ;;
+                       *)                              exit 1 ;;
+               esac ;;
+       2-nonpres|2-nonuspres)
+               case $1 in
+                       *[02468][048]|*[13579][26])     exit 1 ;;
+                       *)                              exit 0 ;;
+               esac ;;
+       2-odd)  
+               case $1 in
+                       *[13579])                       exit 0 ;;
+                       *)                              exit 1 ;;
+               esac ;;
+       2-uspres)
+               case $1 in
+                       *[02468][048]|*[13579][26])     exit 0 ;;
+                       *)                              exit 1 ;;
+               esac ;;
+       2-*)    
+               echo "$0: wild type - $2" >&2 ;;
 esac
+
+echo "$0: usage is $0 year even|odd|uspres|nonpres|nonuspres" >&2



Home | Main Index | Thread Index | Old Index